package com.zcu.example.data.dao;

import java.util.ArrayList;
import javax.annotation.Resource;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcu.example.data.pojo.ZcuUser;

@Service("userService")
@Transactional
public class ZcuUserDAO {
	
	private static final Logger logger = LoggerFactory
			.getLogger(ZcuUserDAO.class);

	@Resource(name = "sessionFactory")
	private SessionFactory sessionFactory;

	@SuppressWarnings("unchecked")
	public ArrayList<ZcuUser> getListUsers() {

		// Retrieve session from Hibernate
		Session session = sessionFactory.getCurrentSession();

		// Create a Hibernate query (HQL)
		Query query = session.createQuery("FROM  ZcuUser");
		// Retrieve all
		ArrayList<ZcuUser> users = (ArrayList<ZcuUser>) query.list();
		
		logger.info("User list recieved successfully");
		return users;
	}
}
